---
apiVersion: v1
kind: Secret
metadata:
  name: check-daemon-secret
  namespace: scoring
  annotations:
  labels:
    realm: {{prod_or_dev}}
data:
  ##########################
  # --- Authentication --- #
  ##########################
  # oidc_client_secret: OIDC client secret (password) for the client_id
  CHECK_DAEMON_AUTHENTICATION_OIDC_CLIENT_SECRET: {{scoring_pod_oidc_secret}}
...
---
kind: Secret
apiVersion: v1
metadata:
  name: adversarial-checks-gitlab-pull-secret
  namespace: scoring
type: kubernetes.io/dockerconfigjson
data:
  .dockerconfigjson: {{adversarial-checks-gitlab-pull-secret}}
...
